
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>共享存储之分布式文件系统应用及MogileFS基础应用 / 憋错料</title>

    <meta name="description" content="共享存储之分布式文件系统应用及MogileFS基础应用  **什么是分布式存储:    分布式存储系统,是将数据分散存储在多台独立的设备上.传统的网络存储系统采用集中的存储服务器存放所有数据,存储服务器成为系统性能的瓶颈,也是可靠性和安全性的焦点,不能满足大规模存储应用的需要.分布式网络存储系统采用可扩展的系统结构,利用多台存储服务器分担存储负荷,利用位置服务器定位存储信息,它不但提高了系统的可靠性.可用性和存取效率,还易于扩展. 分布式文件系统设计目标: ** 访问透明** 位置透明** 并发透明** 失效透明** 硬件透明** 可扩展性** 复制">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">共享存储之分布式文件系统应用及MogileFS基础应用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>&nbsp;**什么是分布式存储： </strong><br />&nbsp;&nbsp; 分布式存储系统，是将数据分散存储在多台独立的设备上。传统的网络存储系统采用集中的存储服务器存放所有数据，存储服务器成为系统性能的瓶颈，也是可靠性和安全性的焦点，不能满足大规模存储应用的需要。分布式网络存储系统采用可扩展的系统结构，利用多台存储服务器分担存储负荷，利用位置服务器定位存储信息，它不但提高了系统的可靠性、可用性和存取效率，还易于扩展。</p>
<p><strong>分布式文件系统设计目标： </strong><br />** 访问透明<br />** 位置透明<br />** 并发透明<br />** 失效透明<br />** 硬件透明<br />** 可扩展性<br />** 复制透明<br />** 迁移透明</p>
<p><strong>CAP理论： </strong></p>
<pre>C：Consistency（一致性）&nbsp;&nbsp;任何一个读操作总是能够读取之前完成的写操作。
A：Availability（可用性）&nbsp;每一次操作总是能够在确定的时间返回。
P：Partition&nbsp;Tolerance&nbsp;(&nbsp;分区容错性&nbsp;)&nbsp;&nbsp;&nbsp;在出现网络分区的情况下，仍然能够满足一致性和可用性。</pre>
<p>有科学家都在致力于 CAP&nbsp; 三元素并存的时候，Eric.Brewer教授指出 CAP&nbsp; 永远无法兼顾，只能根据具体应用来权衡和取舍，并且至多两个元素可以共存，后来由两位麻省理工学院的科学家证明此观点是具有前瞻性的，由此形成Brewer的 CAP定理。</p>
<p>正所谓鱼和熊掌不可兼得，关注一致性就需要处理因系统不可用而带来写操作失败的情况，反之关注可用性就无法保证每次都能读取到最新的写入操作。传统关系型数据库侧重于CA，而非关系型键值数据库则侧重于AP。</p>
<p><strong>强一致性(ACID)：</strong>在单机环境中，强一致性可以由数据库的事务来保证；在分布式环境中，强一致性很难做到，即便是做到也会因为分布式事物所带来的性能低下，不适合在互联网的环境中应用。</p>
<p><strong>&nbsp;弱一致性(包括最终一致性)：</strong>系统不能保证后续访问返回最新的值，在访问到最新值之前这段时间称之为不一致窗口。</p>
<p><strong>&nbsp;最终一致性：</strong>是弱一致性的一种特例，存储系统保证如果对象有多次更新，在渡过不一致窗口之后必将放回最后更新的值。</p>
<p><strong>&nbsp;服务器的一致性：</strong>N代表节点的个数；W代表更新的时候需要确认已经被更新的节点个数； R代表读取数据需要的节点数量。</p>
<p>示意如下:</p>
<pre>W&nbsp;+&nbsp;R&nbsp;&gt;&nbsp;N&nbsp;&nbsp;—-&gt;&nbsp;&nbsp;强一致性(通常N=3，W=R=2)
W=N，R=1&nbsp;&nbsp;&nbsp;—-&gt;&nbsp;&nbsp;最佳读
W=1，R=N&nbsp;&nbsp;&nbsp;—-&gt;&nbsp;&nbsp;最佳写
W&nbsp;+&nbsp;R&nbsp;&lt;=&nbsp;N&nbsp;—-&gt;&nbsp;&nbsp;弱一致性</pre>
<p><strong>分布式存储及分布式文件系统概论</strong></p>
<pre>集中式：
共享存储：
&nbsp;&nbsp;NAS
&nbsp;&nbsp;SAN

分布式存储：
&nbsp;&nbsp;专用的元数据节点：集中元数据存储，数据节点至负责存储数据
&nbsp;&nbsp;无专用元数据几点：所有数据均完整存储元数据，存储了部分数据

分布式：
&nbsp;&nbsp;文件系统：有文件系统接口：一般挂载使用
&nbsp;&nbsp;存储：无文件系统接口，通过API访问</pre>
<p><strong>分布式事务的模型及规范:</strong></p>
<pre>X/Open：XA
DTP：Distributed&nbsp;Transcationn&nbsp;Processing&nbsp;Reference&nbsp;Model
定义了三个组件
&nbsp;&nbsp;&nbsp;AP：Application&nbsp;Program&nbsp;应用程序
&nbsp;&nbsp;&nbsp;RM：Resourse&nbsp;Manager，资源管理器
&nbsp;&nbsp;&nbsp;TM：Transaction&nbsp;Manager&nbsp;事务管理器</pre>
<p>AP通过资源管理器管理资源，通过事务管理器管理事务，事务管理器通过资源管理器管理的资源进行控制，TM通过RM的XA管理RM<br /><strong>两段式提交：</strong><br />&nbsp; 事务管理器提交不止一个数据，第一阶段准备，第二阶段提交，如果出现错误，第二阶段回滚.</p>
<p><strong>分布式应用:</strong></p>
<pre>分布式计算
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MapReduce：分布式运算框架
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MapReduce
分布式存储
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;GFS，Google&nbsp;File&nbsp;System
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;HDFS
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;只能存储k-v数据
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;bigtable：列式数据库
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;HBase
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;NoSQL：
hadoop:</pre>
<p><strong>分布式存储:</strong></p>
<pre>不能mount，基于API进行存储</pre>
<p><strong>分布式文件系统（把存储空间抽象成文件的格式存储的格式）:</strong></p>
<pre>mount&nbsp;VFS</pre>
<p><strong>常用分布式解决方案:</strong></p>
<p>适合存储少量大文件:</p>
<pre>GFS:&nbsp;Google&nbsp;File&nbsp;System&nbsp;擅长处理单个单文件
HDFS:Hadoop&nbsp;Distributed&nbsp;File&nbsp;System&nbsp;&nbsp;根据GFS思想开发的，擅长处理单个大文件&nbsp;，使用场景，数据不太多的大文件。
TFS：淘宝FS，在名称节点上将元数据存储于关系型数据中，文件数量不在受限于名称节点的内存空间，可以存储海量小文件
TFS：腾讯FS
Lustre：Oracle，企业级应用，重量级
GlusterFS：去中心化设计：擅长处理单个大文件&nbsp;
MooseFS：基于FUSE的格式，可以挂载
Mogilefs：存储海量小数据
FastDFS
Perlbal：高性能的反向代理
ceph:整合到linux内核实现的文件系统，已经被收录在内核，是一个&nbsp;Linux&nbsp;PB级别的分布式文件系统。</pre>
<p><strong><br /></strong></p>
<p><strong>MogilesFS概述:</strong></p>
<p>MogileFS是一个开源的分布式文件存储系统，由LiveJournal旗下的Danga Interactive公司开发。Danga团队开发了包括 Memcached、MogileFS、Perlbal 等多个知名的开源项目;(注: Perlbal是一个强大的Perl写的反向代理服务器) 目前使用MogileFS 的公司非常多，如日本排名先前的几个互联公司及国内的yupoo(又拍)、digg、豆瓣、1号店、大众点评、搜狗和安居客等，分别为所在的组织或公司管理着海量的图片。</p>
<p><strong>MogileFS的特性</strong></p>
<pre>&nbsp;&nbsp;1.应用层提供服务，不需要使用核心组件.
&nbsp;&nbsp;2.无单点（tracker（跟踪点）mogstore（存储节点）database（MySQL））
&nbsp;&nbsp;3.自动文件复制：复制的最小单位不是文件，而是class.
&nbsp;&nbsp;4.传输中立：无特殊协议，可以通过NFS或HTTP实现通信.
&nbsp;&nbsp;5.简单的命名空间：没有目录，直接存在存储空间上，通过域来实现.
&nbsp;&nbsp;6.不共享任何数据.</pre>
<p><strong><br /></strong></p>
<p><strong>MogileFS的核心</strong><br /><strong>(1)Tracker–跟踪器，调度器</strong><br />MogileFS的核心，是一个调度器，mogilefsd进程就是trackers进程程序,trackers的主要职责有：删除数据、复制数据、监控、查询等等.这个是基于事件的( event-based ) 父进程/消息总线来管理所有来之于客户端应用的交互(requesting operations to be performed), 包括将请求负载平衡到多个"query workers"中,然后让 mogilefs的子进程去处理.</p>
<p>mogadm,mogtool的所有操作都要跟trackers打交道,Client的一些操作也需要定义好trackers,因此最好同时运行多个trackers来做负载均衡.trackers也可以只运行在一台机器上，使用负载均衡时可以使用搞一些简单的负载均衡解决方案，如haproxy，lvs，nginx等.</p>
<p>tarcker默认配置文件为/etc/mogilefs/mogilefsd.conf，监听在TCP的<strong>7001</strong>端口</p>
<p><strong>(2)Database–数据库部分</strong><br />主要用来存储mogilefs的元数据，所有的元数据都存储在数据库中，因此，这个数据相当重要，如果数据库挂掉，所有的数据都不能用于访问，因此，建议应该对数据库做高可用。</p>
<p><strong>(3)mogstored–存储节点</strong><br />数据存储的位置，通常是一个HTTP（webDAV）服务器，用来做数据的创建、删除、获取，任何 WebDAV 服务器都可以, 不过推荐使用 mogstored . mogilefsd可以配置到两个机器上使用不同端口</p>
<p>mogstored 来进行所有的 DAV 操作和流量,IO监测, 并且你自己选择的HTTP服务器(默认为 perlbal)用来做 GET 操作给客户端提供文件。</p>
<p>典型的应用是一个挂载点有一个大容量的SATA磁盘. 只要配置完配置文件后mogstored程序的启动将会使本机成为一个存储节点.当然还需要mogadm这个工具增加这台机器到Cluster中。</p>
<p>配置文件为/etc/mogilefs/mogstored.conf，监听在TCP的7500端口</p>
<p><strong>MogileFS基本工作流程</strong></p>
<p><strong><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODgvOUUvd0tpb0wxZjlzMFhDNFhtbkFBSTJXRms5ODNjMzM3LnBuZw==.jpg" /><br /></strong></p>
<p>过程如下所述:</p>
<pre>1.应用程序请求打开一个文件&nbsp;(通过RPC&nbsp;通知到&nbsp;tracker,&nbsp;找到一个可用的机器).&nbsp;做一个&nbsp;“create_open”&nbsp;请求.

2.tracker&nbsp;做一些负载均衡(load&nbsp;balancing)处理，决定应该去哪儿，然后给应用程序一些可能用的位置。

3.应用程序写到其中的一个位置去&nbsp;(如果写失败，他会重新尝试并写到另外一个位置去）.

4.应用程序&nbsp;(client)&nbsp;通过”create_close”&nbsp;告诉tracker文件写到哪里去了.

5.tracker&nbsp;将该名称和域命的名空间关联&nbsp;(通过数据库来做的)

6.tracker,&nbsp;在后台,&nbsp;开始复制文件，知道他满足该文件类别设定的复制规则

7.应用程序通过&nbsp;“get_paths”&nbsp;请求&nbsp;domain+key&nbsp;(key&nbsp;==&nbsp;“filename”)&nbsp;文件,&nbsp;tracker基于每一位置的I/O繁忙情况回复(在内部经过&nbsp;database/memcache/etc&nbsp;等的一些抉择处理),&nbsp;该文件可用的完整&nbsp;URLs地址列表.

8.应用程序然后按顺序尝试这些URL地址.&nbsp;(tracker’持续监测主机和设备的状态，因此不会返回死连接,默认情况下他对返回列表中的第一个元素做双重检查，除非你不要他这么做..)</pre>
<p><strong></strong></p>
<p><strong><br /></strong></p>
<p><strong>MogileFS应用术语:</strong></p>
<pre>tracker:&nbsp;借助数据库保存各个节点文件的元数据信息,&nbsp;便于检索定位数据位置并监控各个节点,&nbsp;告知客户端存储区的位置并指挥storage节点复制数据副本,&nbsp;进程为mogilefsd

database:&nbsp;为tracker节点存储节点文件的元数据信息

storage:&nbsp;将指定域中的键转换为特有的文件名存储于在特定的设备文件中,&nbsp;转换后文件名为值,&nbsp;storage自动维护键值之间的对应关系,&nbsp;storage节点使用http进行数据传输,&nbsp;依赖于perbal,&nbsp;进程为mogstored,&nbsp;perbal

Domain:&nbsp;一个域中的键值是唯一的,&nbsp;一个MogileFS可以有多个域来存储不同类型的文件

Class:&nbsp;复制的最小单位,&nbsp;管理文件属性,&nbsp;定义文件存储在不同设备上的份数

device:&nbsp;一个存储节点,&nbsp;可以有多个device,&nbsp;就是用来存放文件的目录,&nbsp;每个设备都有一个设备ID,&nbsp;需要在mogstored配置文件中docroot配置,&nbsp;设备不能删除,&nbsp;只能将设备的状态置为dead,&nbsp;置为dead之后数据就无法恢复了,&nbsp;并且设备ID也无法再使用</pre>
<p><strong></strong></p>
<p><strong><br /></strong></p>
<p><strong>MogileFS组成:</strong></p>
<pre>1)&nbsp;server：主要包括mogilefsd和mogstored两个应用程序。mogilefsd实现的是tracker，它通过数据库来保存元数据信息，包括站点domain、class、host等；
mogstored是存储节点(store&nbsp;node)，它其实是个WebDAV服务，默认监听在7500端口，接受客户端的文件存储请求。在MogileFS安装完后，要运行mogadm工具将所有的store&nbsp;node注册到mogilefsd的数据库里，mogilefsd会对这些节点进行管理和监控。
2)&nbsp;utils（工具集）：主要是MogileFS的一些管理工具，例如mogadm等。
3)&nbsp;客户端API：MogileFS的客户端API很多，例如Perl、PHP、Java、Python等，用这个模块可以编写客户端程序，实现文件的备份管理功能等。</pre>
<p><strong></strong></p>
<p><strong>MogileFS高可用架构</strong></p>
<p><strong><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODgvOUUvd0tpb0wxZjl5SURSSE15eEFBVWFkeWtuSm1RMzEzLnBuZw==.jpg" /><br /></strong></p>
<p><strong>MogileFS安装配置:</strong></p>
<p>实验环境:</p>
<p>node1 172.16.100.6 Centos6.5_x86_64 Tracker+Storage</p>
<p>node2 172.16.100.7 Centos6.5_x86_64 Storage</p>
<p>node3 172.16.100.8 Centos6.5_x86_64 Storage</p>
<p>node4 172.16.100.9 Centos6.5_x86_64 Database</p>
<p>准备好以下RPM包:</p>
<pre>MogileFS-Server-2.46-2.el6.noarch.rpm&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Perlbal-doc-1.78-1.el6.noarch.rpm
MogileFS-Server-mogilefsd-2.46-2.el6.noarch.rpm&nbsp;&nbsp;perl-MogileFS-Client-1.14-1.el6.noarch.rpm
MogileFS-Server-mogstored-2.46-2.el6.noarch.rpm&nbsp;&nbsp;perl-Net-Netmask-1.9015-8.el6.noarch.rpm
MogileFS-Utils-2.19-1.el6.noarch.rpm&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;perl-Perlbal-1.78-1.el6.noarch.rpm
Perlbal-1.78-1.el6.noarch.rpm</pre>
<p>所有节点安装epel源:</p>
<pre>#&nbsp;wget&nbsp;http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
#&nbsp;wget&nbsp;http://rpms.famillecollet.com/enterprise/remi-release-6.rpm&nbsp;
#&nbsp;rpm&nbsp;-Uvh&nbsp;remi-release-6.rpm&nbsp;epel-release-6-8.noarch.rpm</pre>
<p><strong>(1)安装配置Database数据库服务(node4)</strong></p>
<pre>--安装mysql,这里使用默认rpm安装
#&nbsp;yum&nbsp;-y&nbsp;install&nbsp;mysql-server&nbsp;mysql-devel&nbsp;mysql
--启动mysql服务
#&nbsp;service&nbsp;mysqld&nbsp;start
--授权root远程连接及创建mogilefs用户及授权
mysql&gt;&nbsp;GRANT&nbsp;ALL&nbsp;ON&nbsp;*.*&nbsp;TO&nbsp;[email&#160;protected]‘%‘&nbsp;IDENTIFIED&nbsp;BY&nbsp;‘redhat‘;
mysql&gt;&nbsp;GRANT&nbsp;ALL&nbsp;ON&nbsp;*.*&nbsp;TO&nbsp;[email&#160;protected]‘node4.samlee.com‘&nbsp;IDENTIFIED&nbsp;BY&nbsp;‘redhat‘;
mysql&gt;&nbsp;GRANT&nbsp;ALL&nbsp;ON&nbsp;mogilefs.*&nbsp;TO&nbsp;[email&#160;protected]‘%‘&nbsp;IDENTIFIED&nbsp;BY&nbsp;‘redhat‘;
mysql&gt;&nbsp;FLUSH&nbsp;PRIVILEGES;
--创建mogilefs数据库
mysql&gt;&nbsp;CREATE&nbsp;DATABASE&nbsp;mogilefs;
mysql&gt;&nbsp;SHOW&nbsp;DATABASES;
+--------------------+
|&nbsp;Database&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
+--------------------+
|&nbsp;information_schema&nbsp;|
|&nbsp;mogilefs&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;mysql&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;test&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
+--------------------+
4&nbsp;rows&nbsp;in&nbsp;set&nbsp;(0.01&nbsp;sec)</pre>
<p><strong>(3)安装配置Storage节点服务(node2\node3)</strong></p>
<pre>#&nbsp;yum&nbsp;-y&nbsp;install&nbsp;perl-Net-Netmask&nbsp;perl-IO-AIO
#&nbsp;ls
MogileFS-Server-2.46-2.el6.noarch.rpm&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Perlbal-doc-1.78-1.el6.noarch.rpm
MogileFS-Server-mogilefsd-2.46-2.el6.noarch.rpm&nbsp;&nbsp;perl-MogileFS-Client-1.14-1.el6.noarch.rpm
MogileFS-Server-mogstored-2.46-2.el6.noarch.rpm&nbsp;&nbsp;perl-Net-Netmask-1.9015-8.el6.noarch.rpm
MogileFS-Utils-2.19-1.el6.noarch.rpm&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;perl-Perlbal-1.78-1.el6.noarch.rpm
Perlbal-1.78-1.el6.noarch.rpm
#&nbsp;yum&nbsp;-y&nbsp;install&nbsp;*.rpm</pre>
<p><strong>(4)安装配置Tracker节点服务(node1)</strong></p>
<pre>#&nbsp;yum&nbsp;-y&nbsp;install&nbsp;perl-Net-Netmask&nbsp;perl-IO-AIO&nbsp;
#&nbsp;ls
MogileFS-Server-2.46-2.el6.noarch.rpm&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Perlbal-doc-1.78-1.el6.noarch.rpm
MogileFS-Server-mogilefsd-2.46-2.el6.noarch.rpm&nbsp;&nbsp;perl-MogileFS-Client-1.14-1.el6.noarch.rpm
MogileFS-Server-mogstored-2.46-2.el6.noarch.rpm&nbsp;&nbsp;perl-Net-Netmask-1.9015-8.el6.noarch.rpm
MogileFS-Utils-2.19-1.el6.noarch.rpm&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;perl-Perlbal-1.78-1.el6.noarch.rpm
Perlbal-1.78-1.el6.noarch.rpm
#&nbsp;yum&nbsp;-y&nbsp;install&nbsp;*.rpm

--设定数据库
#&nbsp;mogdbsetup&nbsp;--dbhost=172.16.100.9&nbsp;--dbuser=mogileuser&nbsp;--dbpass=redhat&nbsp;--dbname=mogilefs&nbsp;--dbrootpass=redhat

--查询表有没有生成
mysql&gt;&nbsp;use&nbsp;mogilefs;
mysql&gt;&nbsp;show&nbsp;tables;
+----------------------+
|&nbsp;Tables_in_mogilefs&nbsp;&nbsp;&nbsp;|
+----------------------+
|&nbsp;checksum&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;class&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;device&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;domain&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;file&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;file_on&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;file_on_corrupt&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;file_to_delete&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;file_to_delete2&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;file_to_delete_later&nbsp;|
|&nbsp;file_to_queue&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;file_to_replicate&nbsp;&nbsp;&nbsp;|
|&nbsp;fsck_log&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;host&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;server_settings&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;tempfile&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|
|&nbsp;unreachable_fids&nbsp;&nbsp;&nbsp;|
+----------------------+
17&nbsp;rows&nbsp;in&nbsp;set&nbsp;(0.01&nbsp;sec)</pre>
<p><strong>(5)配置mogilefsd</strong></p>
<pre>#&nbsp;vim&nbsp;/etc/mogilefs/mogilefsd.conf
daemonize&nbsp;=&nbsp;1
pidfile&nbsp;=&nbsp;/var/run/mogilefsd/mogilefsd.pid
db_dsn&nbsp;=&nbsp;DBI:mysql:mogilefs:host=172.16.100.9
db_user&nbsp;=&nbsp;mogileuser
db_pass&nbsp;=&nbsp;redhat
listen&nbsp;=&nbsp;0.0.0.0:7001&nbsp;--mogilefsd服务启动的监听端口地址及端口号
conf_port&nbsp;=&nbsp;7001
query_jobs&nbsp;=&nbsp;10&nbsp;&nbsp;&nbsp;&nbsp;--允许的查询连接数
delete_jobs&nbsp;=&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;--允许删除的进程数
replicate_jobs&nbsp;=&nbsp;5&nbsp;--实现复制的进程数
reaper_jobs&nbsp;=&nbsp;1

--添加主机(第1种方法)
#&nbsp;mogadm&nbsp;host&nbsp;add&nbsp;node1&nbsp;--ip=172.16.100.6&nbsp;alive
#&nbsp;mogadm&nbsp;host&nbsp;add&nbsp;node2&nbsp;--ip=172.16.100.7&nbsp;alive
#&nbsp;mogadm&nbsp;host&nbsp;add&nbsp;node3&nbsp;--ip=172.16.100.8&nbsp;alive
#&nbsp;mogadm&nbsp;host&nbsp;list
node1&nbsp;[1]:&nbsp;down
&nbsp;&nbsp;IP:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;172.16.100.6:7500

node2&nbsp;[2]:&nbsp;down
&nbsp;&nbsp;IP:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;172.16.100.7:7500

node3&nbsp;[3]:&nbsp;down
&nbsp;&nbsp;IP:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;172.16.100.8:7500

--添加主机(第2种方法)&nbsp;&nbsp;
#&nbsp;mogadm&nbsp;--trackers=172.16.100.6:7001&nbsp;host&nbsp;add&nbsp;172.16.100.6&nbsp;--ip=172.16.100.6&nbsp;--status=alive
#&nbsp;mogadm&nbsp;--trackers=172.16.100.6:7001&nbsp;host&nbsp;add&nbsp;172.16.100.6&nbsp;--ip=172.16.100.7&nbsp;--status=alive
#&nbsp;mogadm&nbsp;--trackers=172.16.100.6:7001&nbsp;host&nbsp;add&nbsp;172.16.100.6&nbsp;--ip=172.16.100.8&nbsp;--status=alive
#&nbsp;mogadm&nbsp;host&nbsp;list
node1&nbsp;[1]:&nbsp;down
&nbsp;&nbsp;IP:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;172.16.100.6:7500

node2&nbsp;[2]:&nbsp;down
&nbsp;&nbsp;IP:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;172.16.100.7:7500

node3&nbsp;[3]:&nbsp;down
&nbsp;&nbsp;IP:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;172.16.100.8:7500
&nbsp;&nbsp;
如果添加的主机状态为down,可以使用以下方式激活:
#&nbsp;mogadm&nbsp;host&nbsp;mark&nbsp;node1&nbsp;alive
#&nbsp;mogadm&nbsp;host&nbsp;mark&nbsp;node2&nbsp;alive
#&nbsp;mogadm&nbsp;host&nbsp;mark&nbsp;node3&nbsp;alive</pre>
<p><strong></strong><strong></strong></p>
<p><strong>(6)配置mogstored</strong></p>
<pre>node1配置:
--创建分布式存储目录
#&nbsp;mkdir&nbsp;-pv&nbsp;&nbsp;/dfs/mogilefs/dev1
--配置存储节点配置文件
#&nbsp;vim&nbsp;/etc/mogilefs/mogstored.conf
maxconns&nbsp;=&nbsp;10000
httplisten&nbsp;=&nbsp;0.0.0.0:7500
mgmtlisten&nbsp;=&nbsp;0.0.0.0:7501
docroot&nbsp;=&nbsp;/dfs/mogilefs/
--目录授权启动服务
#&nbsp;chown&nbsp;-R&nbsp;mogilefs.mogilefs&nbsp;/dfs/mogilefs/
#&nbsp;service&nbsp;mogstored&nbsp;start

node2配置:
--创建分布式存储目录
#&nbsp;mkdir&nbsp;-pv&nbsp;&nbsp;/dfs/mogilefs/dev2
--配置存储节点配置文件
#&nbsp;vim&nbsp;/etc/mogilefs/mogstored.conf
maxconns&nbsp;=&nbsp;10000
httplisten&nbsp;=&nbsp;0.0.0.0:7500
mgmtlisten&nbsp;=&nbsp;0.0.0.0:7501
docroot&nbsp;=&nbsp;/dfs/mogilefs/
--目录授权启动服务
#&nbsp;chown&nbsp;-R&nbsp;mogilefs.mogilefs&nbsp;/dfs/mogilefs/
#&nbsp;service&nbsp;mogstored&nbsp;start

node3配置:
--创建分布式存储目录
#&nbsp;mkdir&nbsp;-pv&nbsp;&nbsp;/dfs/mogilefs/dev3
--配置存储节点配置文件
#&nbsp;vim&nbsp;/etc/mogilefs/mogstored.conf
maxconns&nbsp;=&nbsp;10000
httplisten&nbsp;=&nbsp;0.0.0.0:7500
mgmtlisten&nbsp;=&nbsp;0.0.0.0:7501
docroot&nbsp;=&nbsp;/dfs/mogilefs/
--目录授权启动服务
#&nbsp;chown&nbsp;-R&nbsp;mogilefs.mogilefs&nbsp;/dfs/mogilefs/
#&nbsp;service&nbsp;mogstored&nbsp;start</pre>
<p><strong>(7)添加设备并启用激活设备</strong></p>
<pre>--添加设备(第1种方法)
#&nbsp;mogadm&nbsp;device&nbsp;add&nbsp;node1&nbsp;1
#&nbsp;mogadm&nbsp;device&nbsp;add&nbsp;node2&nbsp;2
#&nbsp;mogadm&nbsp;device&nbsp;add&nbsp;node3&nbsp;3
或
#&nbsp;mogadm&nbsp;device&nbsp;add&nbsp;node1&nbsp;1&nbsp;--status=alive
#&nbsp;mogadm&nbsp;device&nbsp;add&nbsp;node2&nbsp;2&nbsp;--status=alive
#&nbsp;mogadm&nbsp;device&nbsp;add&nbsp;node3&nbsp;3&nbsp;--status=alive

--添加设备(第2种方法)
#&nbsp;mogadm&nbsp;--trackers=172.16.100.6:7001&nbsp;device&nbsp;add&nbsp;172.16.100.6&nbsp;--status=alive
#&nbsp;mogadm&nbsp;--trackers=172.16.100.6:7001&nbsp;device&nbsp;add&nbsp;172.16.100.7&nbsp;--status=alive
#&nbsp;mogadm&nbsp;--trackers=172.16.100.6:7001&nbsp;device&nbsp;add&nbsp;172.16.100.8&nbsp;--status=alive

#&nbsp;mogadm&nbsp;check
Checking&nbsp;trackers...
&nbsp;&nbsp;127.0.0.1:7001&nbsp;...&nbsp;OK

Checking&nbsp;hosts...
&nbsp;&nbsp;[&nbsp;1]&nbsp;node1&nbsp;...&nbsp;OK
&nbsp;&nbsp;[&nbsp;2]&nbsp;node2&nbsp;...&nbsp;OK
&nbsp;&nbsp;[&nbsp;3]&nbsp;node3&nbsp;...&nbsp;OK

Checking&nbsp;devices...
&nbsp;&nbsp;host&nbsp;device&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;size(G)&nbsp;&nbsp;&nbsp;&nbsp;used(G)&nbsp;&nbsp;&nbsp;&nbsp;free(G)&nbsp;&nbsp;&nbsp;use%&nbsp;&nbsp;&nbsp;ob&nbsp;state&nbsp;&nbsp;&nbsp;I/O%
&nbsp;&nbsp;----&nbsp;------------&nbsp;----------&nbsp;----------&nbsp;----------&nbsp;------&nbsp;----------&nbsp;-----
&nbsp;&nbsp;[&nbsp;1]&nbsp;dev1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;18.686&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.564&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;14.122&nbsp;&nbsp;24.43%&nbsp;&nbsp;writeable&nbsp;&nbsp;&nbsp;0.7
&nbsp;&nbsp;[&nbsp;2]&nbsp;dev2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;18.686&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.564&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;14.122&nbsp;&nbsp;24.43%&nbsp;&nbsp;writeable&nbsp;&nbsp;&nbsp;0.0
&nbsp;&nbsp;[&nbsp;3]&nbsp;dev3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;18.686&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4.564&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;14.122&nbsp;&nbsp;24.43%&nbsp;&nbsp;writeable&nbsp;&nbsp;&nbsp;0.0
&nbsp;&nbsp;----&nbsp;------------&nbsp;----------&nbsp;----------&nbsp;----------&nbsp;------
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;total:&nbsp;&nbsp;&nbsp;&nbsp;56.058&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;13.693&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;42.366&nbsp;&nbsp;24.43%</pre>
<p><strong>(8)创建域</strong></p>
<pre>#&nbsp;mogadm&nbsp;domain&nbsp;add&nbsp;files
#&nbsp;mogadm&nbsp;domain&nbsp;add&nbsp;images
#&nbsp;mogadm&nbsp;domain&nbsp;list
&nbsp;domain&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;class&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;mindevcount&nbsp;&nbsp;&nbsp;replpolicy&nbsp;&nbsp;&nbsp;hashtype
--------------------&nbsp;--------------------&nbsp;-------------&nbsp;------------&nbsp;-------
&nbsp;files&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;default&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MultipleHosts()&nbsp;NONE&nbsp;&nbsp;&nbsp;

&nbsp;images&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;default&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MultipleHosts()&nbsp;NONE</pre>
<p><strong>(9)创建类</strong></p>
<pre>#&nbsp;mogadm&nbsp;class&nbsp;add&nbsp;files&nbsp;text&nbsp;--mindevcount=1
#&nbsp;mogadm&nbsp;class&nbsp;list
&nbsp;domain&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;class&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;mindevcount&nbsp;&nbsp;&nbsp;replpolicy&nbsp;&nbsp;&nbsp;hashtype
--------------------&nbsp;--------------------&nbsp;-------------&nbsp;------------&nbsp;-------
&nbsp;files&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;default&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MultipleHosts()&nbsp;NONE&nbsp;&nbsp;&nbsp;
&nbsp;files&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;text&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MultipleHosts()&nbsp;NONE&nbsp;&nbsp;&nbsp;

&nbsp;images&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;default&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MultipleHosts()&nbsp;NONE</pre>
<p><strong>(10)测试上传文件并查看上传的文件:</strong></p>
<pre>#&nbsp;mogupload&nbsp;--trackers=172.16.100.6&nbsp;--domain=files&nbsp;--key=‘/fstab.html‘&nbsp;--file=/etc/fstab
#&nbsp;mogfileinfo&nbsp;--trackers=172.16.100.6&nbsp;--domain=files&nbsp;--key=‘/fstab.html‘
-&nbsp;file:&nbsp;/fstab.html
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;class:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;default
&nbsp;&nbsp;devcount:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2
&nbsp;&nbsp;&nbsp;&nbsp;domain:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;files
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;fid:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;key:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;/fstab.html
&nbsp;&nbsp;&nbsp;&nbsp;length:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;921
&nbsp;-&nbsp;http://172.16.100.6:7500/dev1/0/000/000/0000000002.fid
&nbsp;-&nbsp;
--最小副本数为1，只保留1份副本&nbsp;
#&nbsp;mogupload&nbsp;--trackers=172.16.100.6&nbsp;--domain=files&nbsp;--key=‘/test.html‘&nbsp;--file=/root/text.txt&nbsp;--class=text
#&nbsp;mogfileinfo&nbsp;--trackers=172.16.100.6&nbsp;--domain=files&nbsp;--key=‘/test.html‘
-&nbsp;file:&nbsp;/test.html
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;class:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;text
&nbsp;&nbsp;devcount:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1
&nbsp;&nbsp;&nbsp;&nbsp;domain:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;files
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;fid:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;key:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;/test.html
&nbsp;&nbsp;&nbsp;&nbsp;length:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;16
&nbsp;-&nbsp;http://172.16.100.7:7500/dev2/0/000/000/0000000003.fid</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODgvQTYvd0tpb0wxZi0xcWJEcVU1aEFBREh2WTgwOWYwNTAyLnBuZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODgvQTYvd0tpb0wxZi0xLUxpZ3ZWNEFBQzE4LW1PS21JMTM4LnBuZw==.jpg" /></p>
<p><strong>(11)综合应用命令查询:</strong></p>
<pre>mogilefs状态查询:
#&nbsp;mogstats&nbsp;--db_dsn="DBI:mysql:mogilefs:host=172.16.100.9"&nbsp;--db_user="mogileuser"&nbsp;--db_pass="redhat"&nbsp;
Fetching&nbsp;statistics...&nbsp;(all)

Statistics&nbsp;for&nbsp;devices...
&nbsp;&nbsp;device&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;host&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;files&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;status
&nbsp;&nbsp;----------&nbsp;----------------&nbsp;------------&nbsp;----------
&nbsp;&nbsp;dev1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;node1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alive
&nbsp;&nbsp;dev2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;node2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alive
&nbsp;&nbsp;dev3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;node3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alive
&nbsp;&nbsp;----------&nbsp;----------------&nbsp;------------&nbsp;----------

Statistics&nbsp;for&nbsp;file&nbsp;ids...
&nbsp;&nbsp;Max&nbsp;file&nbsp;id:&nbsp;3

Statistics&nbsp;for&nbsp;files...
&nbsp;&nbsp;domain&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;class&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;files&nbsp;&nbsp;&nbsp;&nbsp;size&nbsp;(m)&nbsp;&nbsp;fullsize&nbsp;(m)
&nbsp;&nbsp;--------------------&nbsp;-----------&nbsp;----------&nbsp;-----------&nbsp;-------------
&nbsp;&nbsp;files&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;default&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0
&nbsp;&nbsp;files&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;text&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0
&nbsp;&nbsp;--------------------&nbsp;-----------&nbsp;----------&nbsp;-----------&nbsp;-------------

Statistics&nbsp;for&nbsp;replication...
&nbsp;&nbsp;domain&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;class&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;devcount&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;files
&nbsp;&nbsp;--------------------&nbsp;-----------&nbsp;----------&nbsp;----------
&nbsp;&nbsp;files&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;default&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1
&nbsp;&nbsp;files&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;text&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1
&nbsp;&nbsp;--------------------&nbsp;-----------&nbsp;----------&nbsp;----------

Statistics&nbsp;for&nbsp;replication&nbsp;queue...
&nbsp;&nbsp;status&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;count
&nbsp;&nbsp;--------------------&nbsp;------------
&nbsp;&nbsp;--------------------&nbsp;------------

Statistics&nbsp;for&nbsp;delete&nbsp;queue...
&nbsp;&nbsp;status&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;count
&nbsp;&nbsp;--------------------&nbsp;------------
&nbsp;&nbsp;--------------------&nbsp;------------

Statistics&nbsp;for&nbsp;general&nbsp;queues...
&nbsp;&nbsp;queue&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;status&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;count
&nbsp;&nbsp;---------------&nbsp;--------------------&nbsp;------------
&nbsp;&nbsp;---------------&nbsp;--------------------&nbsp;------------

删除domain流程:删除文件class-domain
#&nbsp;moglistkeys&nbsp;-trackers=172.16.100.6:7001&nbsp;-domain=files&nbsp;&nbsp;列出files域下所有key

#&nbsp;moglistkeys&nbsp;-trackers=172.16.100.6:7001&nbsp;-domain=files&nbsp;-key=/test.html

#&nbsp;mogadm&nbsp;class&nbsp;delete&nbsp;files&nbsp;text</pre>
<p><strong><br /></strong></p>
<p><strong>案例:</strong><strong>Nginx代理MogileFS并实现负载均衡和高可用</strong></p>
<p><strong>准备如下:</strong></p>
<p><strong>(1)准备publi主机 eth0:172.16.100.1 Nginx</strong></p>
<p><strong>(2)在MogileFS服务器上传一张图片作为测试文件</strong></p>
<pre>#&nbsp;mogupload&nbsp;--trackers=172.16.100.6&nbsp;--domain=images&nbsp;--key=‘linux.jpg‘&nbsp;--file=/root/1.jpg
#&nbsp;mogfileinfo&nbsp;--trackers=172.16.100.6&nbsp;--domain=images&nbsp;--key=‘linux.jpg‘
-&nbsp;file:&nbsp;linux.jpg
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;class:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;default
&nbsp;&nbsp;devcount:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2
&nbsp;&nbsp;&nbsp;&nbsp;domain:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;images
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;fid:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;key:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;linux.jpg
&nbsp;&nbsp;&nbsp;&nbsp;length:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;37272
&nbsp;-&nbsp;http://172.16.100.7:7500/dev2/0/000/000/0000000005.fid
&nbsp;-&nbsp;http://172.16.100.6:7500/dev1/0/000/000/0000000005.fid</pre>
<p><strong></strong><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODgvQUIvd0tpb20xZi03T0RSR05CR0FBTFVGbUxac3Z3OTI5LnBuZw==.jpg" /></p>
<p><strong><br /></strong></p>
<p><strong>编译安装Nginx</strong></p>
<pre>#&nbsp;yum&nbsp;-y&nbsp;groupinstall&nbsp;"Development&nbsp;Tools"&nbsp;"Server&nbsp;Platform&nbsp;Developments"&nbsp;&nbsp;--安装开发包组
#&nbsp;yum&nbsp;-y&nbsp;install&nbsp;pcre-devel&nbsp;openssl-devel&nbsp;--安装依赖模块包
#&nbsp;groupadd&nbsp;-r&nbsp;nginx
#&nbsp;useradd&nbsp;-r&nbsp;-g&nbsp;nginx&nbsp;nginx
#&nbsp;tar&nbsp;xf&nbsp;nginx-1.11.3.tar.gz&nbsp;-C&nbsp;/usr/local/
#&nbsp;tar&nbsp;xf&nbsp;nginx_mogilefs_module-1.0.4.tar.gz&nbsp;-C&nbsp;/usr/local/
#&nbsp;cd&nbsp;/usr/local/nginx-1.11.3/
#&nbsp;./configure&nbsp;&gt;&nbsp;--prefix=/usr&nbsp;&gt;&nbsp;--sbin-path=/usr/sbin/nginx&nbsp;&gt;&nbsp;--conf-path=/etc/nginx/nginx.conf&nbsp;&gt;&nbsp;--error-log-path=/var/log/nginx/error.log&nbsp;&gt;&nbsp;--http-log-path=/var/log/nginx/access.log&nbsp;&gt;&nbsp;--pid-path=/var/run/nginx/nginx.pid&nbsp;&gt;&nbsp;--lock-path=/var/lock/nginx.lock&nbsp;&gt;&nbsp;--user=nginx&nbsp;&gt;&nbsp;--group=nginx&nbsp;&gt;&nbsp;--with-http_ssl_module&nbsp;&gt;&nbsp;--with-http_flv_module&nbsp;&gt;&nbsp;--with-http_stub_status_module&nbsp;&gt;&nbsp;--with-http_gzip_static_module&nbsp;&gt;&nbsp;--with-pcre&nbsp;&gt;&nbsp;--with-debug&nbsp;&gt;&nbsp;--add-module=/usr/local/nginx_mogilefs_module-1.0.4/
#&nbsp;make&nbsp;&amp;&amp;&nbsp;make&nbsp;install</pre>
<p><strong></strong></p>
<p><strong>为nginx提供SysV init脚本:</strong></p>
<p>新建文件/etc/rc.d/init.d/nginx，内容如下：</p>
<pre>#&nbsp;vim&nbsp;/etc/rc.d/init.d/nginx
#!/bin/sh
#
#&nbsp;nginx&nbsp;-&nbsp;this&nbsp;script&nbsp;starts&nbsp;and&nbsp;stops&nbsp;the&nbsp;nginx&nbsp;daemon
#
#&nbsp;chkconfig:&nbsp;&nbsp;&nbsp;-&nbsp;85&nbsp;15&nbsp;
#&nbsp;description:&nbsp;&nbsp;Nginx&nbsp;is&nbsp;an&nbsp;HTTP(S)&nbsp;server,&nbsp;HTTP(S)&nbsp;reverse&nbsp;#&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;proxy&nbsp;and&nbsp;IMAP/POP3&nbsp;proxy&nbsp;server
#&nbsp;processname:&nbsp;nginx
#&nbsp;config:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;/etc/nginx/nginx.conf
#&nbsp;config:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;/etc/sysconfig/nginx
#&nbsp;pidfile:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;/var/run/nginx/nginx.pid

#&nbsp;Source&nbsp;function&nbsp;library.
.&nbsp;/etc/rc.d/init.d/functions
&nbsp;
#&nbsp;Source&nbsp;networking&nbsp;configuration.
.&nbsp;/etc/sysconfig/network
&nbsp;
#&nbsp;Check&nbsp;that&nbsp;networking&nbsp;is&nbsp;up.
[&nbsp;"$NETWORKING"&nbsp;=&nbsp;"no"&nbsp;]&nbsp;&amp;&amp;&nbsp;exit&nbsp;0

nginx="/usr/sbin/nginx"
prog=$(basename&nbsp;$nginx)

NGINX_CONF_FILE="/etc/nginx/nginx.conf"
&nbsp;
[&nbsp;-f&nbsp;/etc/sysconfig/nginx&nbsp;]&nbsp;&amp;&amp;&nbsp;.&nbsp;/etc/sysconfig/nginx
&nbsp;
lockfile=/var/lock/subsys/nginx
&nbsp;
make_dirs()&nbsp;{
&nbsp;&nbsp;&nbsp;#&nbsp;make&nbsp;required&nbsp;directories
&nbsp;&nbsp;&nbsp;user=`nginx&nbsp;-V&nbsp;2&gt;&amp;1&nbsp;|&nbsp;grep&nbsp;"configure&nbsp;arguments:"&nbsp;|&nbsp;sed&nbsp;‘s/[^*]*--user=\([^&nbsp;]*\).*/\1/g‘&nbsp;-`
&nbsp;&nbsp;&nbsp;options=`$nginx&nbsp;-V&nbsp;2&gt;&amp;1&nbsp;|&nbsp;grep&nbsp;‘configure&nbsp;arguments:‘`
&nbsp;&nbsp;&nbsp;for&nbsp;opt&nbsp;in&nbsp;$options;&nbsp;do
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;if&nbsp;[&nbsp;`echo&nbsp;$opt&nbsp;|&nbsp;grep&nbsp;‘.*-temp-path‘`&nbsp;];&nbsp;then
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;value=`echo&nbsp;$opt&nbsp;|&nbsp;cut&nbsp;-d&nbsp;"="&nbsp;-f&nbsp;2`
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;if&nbsp;[&nbsp;!&nbsp;-d&nbsp;"$value"&nbsp;];&nbsp;then
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#&nbsp;echo&nbsp;"creating"&nbsp;$value
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;mkdir&nbsp;-p&nbsp;$value&nbsp;&amp;&amp;&nbsp;chown&nbsp;-R&nbsp;$user&nbsp;$value
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;fi
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;fi
&nbsp;&nbsp;&nbsp;done
}
&nbsp;
start()&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;[&nbsp;-x&nbsp;$nginx&nbsp;]&nbsp;||&nbsp;exit&nbsp;5
&nbsp;&nbsp;&nbsp;&nbsp;[&nbsp;-f&nbsp;$NGINX_CONF_FILE&nbsp;]&nbsp;||&nbsp;exit&nbsp;6
&nbsp;&nbsp;&nbsp;&nbsp;make_dirs
&nbsp;&nbsp;&nbsp;&nbsp;echo&nbsp;-n&nbsp;$"Starting&nbsp;$prog:&nbsp;"
&nbsp;&nbsp;&nbsp;&nbsp;daemon&nbsp;$nginx&nbsp;-c&nbsp;$NGINX_CONF_FILE
&nbsp;&nbsp;&nbsp;&nbsp;retval=$?
&nbsp;&nbsp;&nbsp;&nbsp;echo
&nbsp;&nbsp;&nbsp;&nbsp;[&nbsp;$retval&nbsp;-eq&nbsp;0&nbsp;]&nbsp;&amp;&amp;&nbsp;touch&nbsp;$lockfile
&nbsp;&nbsp;&nbsp;&nbsp;return&nbsp;$retval
}
&nbsp;
stop()&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;echo&nbsp;-n&nbsp;$"Stopping&nbsp;$prog:&nbsp;"
&nbsp;&nbsp;&nbsp;&nbsp;killproc&nbsp;$prog&nbsp;-QUIT
&nbsp;&nbsp;&nbsp;&nbsp;retval=$?
&nbsp;&nbsp;&nbsp;&nbsp;echo
&nbsp;&nbsp;&nbsp;&nbsp;[&nbsp;$retval&nbsp;-eq&nbsp;0&nbsp;]&nbsp;&amp;&amp;&nbsp;rm&nbsp;-f&nbsp;$lockfile
&nbsp;&nbsp;&nbsp;&nbsp;return&nbsp;$retval
}
&nbsp;
restart()&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;configtest&nbsp;||&nbsp;return&nbsp;$?
&nbsp;&nbsp;&nbsp;&nbsp;stop
&nbsp;&nbsp;&nbsp;&nbsp;sleep&nbsp;1
&nbsp;&nbsp;&nbsp;&nbsp;start
}
&nbsp;
reload()&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;configtest&nbsp;||&nbsp;return&nbsp;$?
&nbsp;&nbsp;&nbsp;&nbsp;echo&nbsp;-n&nbsp;$"Reloading&nbsp;$prog:&nbsp;"
&nbsp;&nbsp;&nbsp;&nbsp;killproc&nbsp;$nginx&nbsp;-HUP
&nbsp;&nbsp;&nbsp;&nbsp;RETVAL=$?
&nbsp;&nbsp;&nbsp;&nbsp;echo
}
&nbsp;
force_reload()&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;restart
}
&nbsp;
configtest()&nbsp;{
&nbsp;&nbsp;$nginx&nbsp;-t&nbsp;-c&nbsp;$NGINX_CONF_FILE
}
&nbsp;
rh_status()&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;status&nbsp;$prog
}
&nbsp;
rh_status_q()&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;rh_status&nbsp;&gt;/dev/null&nbsp;2&gt;&amp;1
}
&nbsp;
case&nbsp;"$1"&nbsp;in
&nbsp;&nbsp;&nbsp;&nbsp;start)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;rh_status_q&nbsp;&amp;&amp;&nbsp;exit&nbsp;0
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$1
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;;;
&nbsp;&nbsp;&nbsp;&nbsp;stop)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;rh_status_q&nbsp;||&nbsp;exit&nbsp;0
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$1
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;;;
&nbsp;&nbsp;&nbsp;&nbsp;restart|configtest)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$1
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;;;
&nbsp;&nbsp;&nbsp;&nbsp;reload)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;rh_status_q&nbsp;||&nbsp;exit&nbsp;7
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$1
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;;;
&nbsp;&nbsp;&nbsp;&nbsp;force-reload)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;force_reload
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;;;
&nbsp;&nbsp;&nbsp;&nbsp;status)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;rh_status
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;;;
&nbsp;&nbsp;&nbsp;&nbsp;condrestart|try-restart)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;rh_status_q&nbsp;||&nbsp;exit&nbsp;0
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;;;
&nbsp;&nbsp;&nbsp;&nbsp;*)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;echo&nbsp;$"Usage:&nbsp;$0&nbsp;{start|stop|status|restart|condrestart|try-restart|reload|force-reload|configtest}"
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;exit&nbsp;2
esac</pre>
<p><strong>而后为此脚本赋予执行权限：</strong></p>
<pre>#&nbsp;chmod&nbsp;+x&nbsp;/etc/rc.d/init.d/nginx</pre>
<p><strong>添加至服务管理列表，并让其开机自动启动：</strong></p>
<pre>#&nbsp;chkconfig&nbsp;--add&nbsp;nginx
#&nbsp;chkconfig&nbsp;nginx&nbsp;on</pre>
<p><strong>配置nginx常用环境变量</strong></p>
<pre>--配置nginx程序执行环境变量
#&nbsp;echo&nbsp;"export&nbsp;PATH=/usr/local/nginx/sbin:$PATH"&nbsp;&gt;&nbsp;/etc/profile.d/nginx.sh
#&nbsp;.&nbsp;/etc/profile.d/nginx.sh&nbsp;
--配置nginx语法着色
#&nbsp;mkdir&nbsp;.vim
#&nbsp;cp&nbsp;-ra&nbsp;/usr/local/nginx-1.11.3/contrib/vim/*&nbsp;.vim/</pre>
<p><strong>而后就可以启动服务了：</strong></p>
<pre>#&nbsp;service&nbsp;nginx&nbsp;start</pre>
<p><strong>配置Nginx</strong></p>
<pre>#&nbsp;vim&nbsp;/etc/nginx/nginx.conf
worker_processes&nbsp;&nbsp;1;
events&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;worker_connections&nbsp;&nbsp;1024;
}

http&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;include&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;mime.types;
&nbsp;&nbsp;&nbsp;&nbsp;default_type&nbsp;&nbsp;application/octet-stream;

&nbsp;&nbsp;&nbsp;&nbsp;sendfile&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;on;

&nbsp;&nbsp;&nbsp;&nbsp;keepalive_timeout&nbsp;&nbsp;65;
&nbsp;&nbsp;&nbsp;&nbsp;upstream&nbsp;trackers&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;server&nbsp;172.16.100.6:7001;
&nbsp;&nbsp;&nbsp;&nbsp;server&nbsp;172.16.100.7:7001;
&nbsp;&nbsp;&nbsp;&nbsp;server&nbsp;172.16.100.8:7001;
&nbsp;&nbsp;&nbsp;&nbsp;}

&nbsp;&nbsp;&nbsp;&nbsp;server&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;listen&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;80;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;server_name&nbsp;&nbsp;localhost;

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;location&nbsp;/&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;root&nbsp;&nbsp;&nbsp;html;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;index&nbsp;&nbsp;index.html&nbsp;index.htm;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;location&nbsp;&nbsp;/images/&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;mogilefs_tracker&nbsp;trackers;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;mogilefs_domain&nbsp;images;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;mogilefs_methods&nbsp;GET;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;mogilefs_noverify&nbsp;on;

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;mogilefs_pass&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;proxy_pass&nbsp;$mogilefs_path;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;proxy_hide_header&nbsp;Content-Type;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;proxy_buffering&nbsp;off;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;error_page&nbsp;&nbsp;&nbsp;500&nbsp;502&nbsp;503&nbsp;504&nbsp;&nbsp;/50x.html;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;location&nbsp;=&nbsp;/50x.html&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;root&nbsp;&nbsp;&nbsp;html;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}

&nbsp;&nbsp;&nbsp;&nbsp;}

}</pre>
<p><strong>重启nginx服务并测试:</strong></p>
<pre>#&nbsp;service&nbsp;nginx&nbsp;restart</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODgvQTkvd0tpb0wxZl9CQmp3Rk9LM0FBSzlqYURPbVlRMjMwLnBuZw==.jpg" /></p>
<p><strong>mogadm命令Tips:</strong></p>
<pre>mogadm&nbsp;slave&nbsp;##由于文件元数据信息是保存在MySQL中的，每次请求文件需要读取MySQL一旦请求量太大，MySQL必定会成为性能瓶颈，这时我们要给MySQL做主从，这个指令就是用来添加从节点的，可以实现tracker与主从架构的MySQL交互时，实现读写分离。

mogadm&nbsp;fsck&nbsp;&nbsp;##文件系统检测，一般不要使用，除非集群意外断电，在上线时执行。

mogadm&nbsp;rebalance&nbsp;&nbsp;##重新平衡，当数据出现热区时使用，在执行之前需要定义平衡策略。

mogadm&nbsp;rebalance&nbsp;start&nbsp;##启动平衡策略。

mogadm&nbsp;rebalance&nbsp;policy&nbsp;&nbsp;##定义平衡策略。

mogadm&nbsp;rebalance&nbsp;test&nbsp;&nbsp;##用于测试是否出现数据不平衡的问题。

mogadm&nbsp;settings&nbsp;&nbsp;##定义mogilefs工作属性。

mogadm&nbsp;class&nbsp;modify&nbsp;&lt;domain&gt;&nbsp;&lt;class&gt;&nbsp;–mindevcount=&nbsp;##定义文件最小的副本份数</pre>
<p><strong>技巧总结:</strong></p>
<p><strong>MogileFS中怎么删除主机: </strong><br />在机器坏了的时候,就会给这些标坏掉了,但还是不能删除.下面是我建议的方式,当你给所有的硬盘设备标成不可用后,你然后再fsck,这样会同步文件到其它的机器同样的份数.接着为了确认进入MySQL中查一下。</p>
<pre>mysql&nbsp;&gt;&nbsp;select&nbsp;count&nbsp;(*)&nbsp;from&nbsp;file_on&nbsp;where&nbsp;devid=11;</pre>
<p>看看是不是去掉的硬盘设备,真的没有文件的记录在上面了. 接着我们就可以安全的删除这个设备了。</p>
<pre>mysql&nbsp;&gt;&nbsp;delete&nbsp;from&nbsp;device&nbsp;where&nbsp;devid=11;</pre>
<p>当对那个主机上的硬盘操作完时,你就可以删除你的主机了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 08:06:30 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.biecuoliao.com/tag/%e5%ae%89%e5%85%a8%e6%80%a7/" title="安全性">安全性</a>, <a href="https://www.biecuoliao.com/tag/%e5%8f%af%e6%89%a9%e5%b1%95%e6%80%a7/" title="可扩展性">可扩展性</a>, <a href="https://www.biecuoliao.com/tag/%e7%a7%91%e5%ad%a6%e5%ae%b6/" title="科学家">科学家</a>, <a href="https://www.biecuoliao.com/tag/%e7%90%86%e5%b7%a5%e5%ad%a6%e9%99%a2/" title="理工学院">理工学院</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>共享存储之分布式文件系统应用及MogileFS基础应用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bL86m4.html" rel="bookmark">大数据存储之分布式文件系统（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Google文件系统(GFS) 使用一堆便宜的商用计算机支撑大规模数据处理. GFSClient: 应用程序的訪问接口 Master(主控server):管理节点.在逻辑上仅仅有一个(另一台&quot;影子server&quot;,在主控server失效时提供元数据,但并非完整的热备server),保存系统的元数据,负责整个文件系统的管理. Chunk Server(数据库server):负责详细的存储工作,数据以文件的形式存储在Chunk Server上:对应GFSclient的读写请求. 总体架构			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLqP1d0.html" rel="bookmark">分布式文件系统之MogileFS实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.简介    1.分布式文件系统 分布式文件系统(Distributed File System)是指文件系统管理的物理存储资源不一定直接连接在本地节点上,而是通过计算机网络与节点相连,也就是集群文件系统,可以支持大数量的节点以及PB级的数量存储. 相对地,在一个分享的磁盘文件系统中,所有节点对数据存储区块都有相同的访问权,在这样的系统中,访问权限就必须由客户端程序来控制. 分布式文件系统可能包含的功能有:透通的数据复制与容错.也就是说,即使系统中有一小部份的节点脱机,整体来说系统仍然可以持续			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vjZPj3.html" rel="bookmark">当下流行的分布式文件系统阅览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当下流行的分布式文件系统阅览 对数种分布式文件系统的简单介绍 本文对目前数种分布式文件系统进行简单的介绍.当前比较流行的分布式文件系统包括:Lustre.Hadoop.MogileFS.FreeNAS.FastDFS.NFS.OpenAFS.MooseFS.pNFS.以及GoogleFS. Lustre(www.lustre.org) lustre是一个大规模的.安全可靠的,具备高可用性的集群文件系统,它是由SUN公司开发和维护.该项目主要的目的就是开发下一代的集群文件系统,可以支持超过1000			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47GgVx4.html" rel="bookmark">当下流行的分布式文件系统大阅兵</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘自http://www.lupaworld.com/portal.php?mod=view&amp;aid=205722&amp;page=all 本文对目前数种分布式文件系统进行简单的介绍.当前比较流行的分布式文件系统包括:Lustre.Hadoop.MogileFS.FreeNAS.FastDFS.NFS.OpenAFS.MooseFS.pNFS.以及GoogleFS. Lustre(www.lustre.org) lustre是一个大规模的.安全可靠的,具备高可用性的集群文件系统,它是由SUN公司			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLvGZk3.html" rel="bookmark">常见分布式文件系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				常见的分布式文件系统有,GFS.HDFS.Lustre .Ceph .GridFS .mogileFS.TFS.FastDFS等.各自适用于不同的领域.它们都不是系统级的分布式文件系统,而是应用级的分布式文件存储服务. Google学术论文,这是众多分布式文件系统的起源==================================Google File System(大规模分散文件系统)MapReduce (大规模分散FrameWork)BigTable(大规模分散数据库)Chubby(分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47zA563.html" rel="bookmark">各种分布式文件系统简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				from:http://elf8848.iteye.com/blog/1724382 常见的分布式文件系统有,GFS.HDFS.Lustre .Ceph .GridFS .mogileFS.TFS.FastDFS等.各自适用于不同的领域.它们都不是系统级的分布式文件系统,而是应用级的分布式文件存储服务. Google学术论文,这是众多分布式文件系统的起源 ================================== Google File System(大规模分散文件系统) MapRed			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3O1lD8M.html" rel="bookmark">linux mfs分布式文件系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mosefs介绍: mooseFS(moose 驼鹿)是一款网络分布式文件系统.它把数据分散在多台服务器上,但对于用户来讲,看到的只是一个源.MFS也像其他类UNIX文件系统一样,包含了层级结构(目录树),存储着文件属性(权限.最后访问和修改时间),常见特殊的文件(块设备.字符设备.管道.套接字),符号链接,硬链接.MooseFS[MFS]是一个具有容错性的网络分布式文件系统.它把数据分散存放在多个物理服务器上,但呈现给用户的则是一个统一的资源当我们存储服务器的容量达到瓶颈之后,那我们就需要采用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rQZmq0.html" rel="bookmark">Hadoop分布式文件系统HDFS的工作原理详述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Hadoop分布式文件系统(HDFS)是一种被设计成适合运行在通用硬件上的分布式文件系统.HDFS是一个高度容错性的系统,适合部署在廉价的机器上.它能提供高吞吐量的数据访问,非常适合大规模数据集上的应用.要理解HDFS的内部工作原理,首先要理解什么是分布式文件系统. 1.分布式文件系统 多台计算机联网协同工作(有时也称为一个集群)就像单台系统一样解决某种问题,这样的系统我们称之为分布式系统. 分布式文件系统是分布式系统的一个子集,它们解决的问题就是数据存储.换句话说,它们是横跨在多台计算机上的存			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZewZJ0.html" rel="bookmark">大数据 --&amp;gt&semi; 分布式文件系统HDFS的工作原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分布式文件系统HDFS的工作原理 Hadoop分布式文件系统(HDFS)是一种被设计成适合运行在通用硬件上的分布式文件系统.HDFS是一个高度容错性的系统,适合部署在廉价的机器上.它能提供高吞吐量的数据访问,非常适合大规模数据集上的应用.要理解HDFS的内部工作原理,首先要理解什么是分布式文件系统. 1.分布式文件系统 多台计算机联网协同工作(有时也称为一个集群)就像单台系统一样解决某种问题,这样的系统我们称之为分布式系统. 分布式文件系统是分布式系统的一个子集,它们解决的问题就是数据存储.换句			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eApw0.html" rel="bookmark" class="title">C&num;中的委托（一）</a>
					<div>
						一.委托 把方法作为参数传给其他方法: 二.声明委托 在C#中使用一个类时,分两个阶段.首先,需要去定义一个类,然后实例化类的一个对象(只需要静态方法除外). 使用委托也需要经过这2个步骤,首先必须定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qolNzM.html" rel="bookmark" class="title">UVA821 PageHopping</a>
					<div>
						保存一下出现过的点,题目保证是完全图,Floyd求出最短路以后两个for统计一下. #include&lt;bits/stdc++.h&gt; using namespace std; const i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDb9P3.html" rel="bookmark" class="title">算法入门经典第六章 例题6-5 移动盒子</a>
					<div>
						例题 6-5 移动盒子(Boxes in a Line, UVa127675) 问题 给定一行盒子,从左到右编号依次为1,2,...,n.可以执行以下命令: 1 X Y 把盒子 X 移动到 Y 的左边 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmDaNY4.html" rel="bookmark" class="title">UVA - 12050-Palindrome Numbers</a>
					<div>
						12050 - Palindrome Numbers Time limit: 3.000 seconds A palindrome is a word, number, or phrase that  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YYNGa0.html" rel="bookmark" class="title">Windows Server 2012 Hyper-V 快照</a>
					<div>
						快照 Hyper-V 可提供擷取執行中虛擬機器快照的能力,因此可輕易地回復至前一狀態,對於測試環境相當有幫助. 快照的功用雖然很不錯,不過每次建立快照時都是會消耗相當的硬碟資源,尤其目前的快照點和上一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBR5KYM.html" rel="bookmark" class="title">Doom  规律&plus;大数</a>
					<div>
						Doom 比赛的时候没有做出来,补题. 题意:题目定义了一个斐波那契串 1) fib1=b; 2) fib2=a; 3) fibi=fibi-1fibi-2,i&gt;2 举例,fib3=ab,fib ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWkbpM.html" rel="bookmark" class="title">MacOS Cocos2d-x-3&period;2 创建HelloWorld项目</a>
					<div>
						开发环境: Mac OSX 10.9.3 Cocos2d-x-3.2 首先,打开终端cd到目录/cocos2d-x-3.2/tools/cocos2d-console/bin下,运行cocos.py脚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ML2k1W3.html" rel="bookmark" class="title">针对IE6的一些CSS Hack编写时的注意点小结</a>
					<div>
						区分出IE6的hack写法1.区别IE6.7与FF/IE8: JavaScript Code复制内容到剪贴板 background:blue;*background:orange; 引用显示效果:IE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ODAEr4.html" rel="bookmark" class="title">渗透实践测试sql注入攻击，本文已提交乌云漏洞平台</a>
					<div>
						工具介绍 此次测试用到已下工具,F4ck工具包,Acunetix Web Vulnerability Scanner 8扫描工具,burpsuite抓包工具,sql注入工具 sqlmap.py ,搜狐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nL18N4.html" rel="bookmark" class="title">Linux下随机10字符病毒的清除</a>
					<div>
						故障表现: 登陆服务器执行sar –n DEV,查得向外流量输出达到120Mbit/s多,cacti显示占满总出口流量 故障判断: 关闭所有对外应用服务,即tomcat.nginx.vsftp,但关闭 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bRR9m0.html" rel="bookmark" class="title">JavaScript特效实例001-打开新窗口显示广告信息</a>
					<div>
						实例001                 打开新窗口显示广告信息 实例说明 本实例要在窗口每次被加载的时候弹出一个广告对话框. 技术要点 本实例主要应用JavaScript的window对象. wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVqNrw4.html" rel="bookmark" class="title">ArcGIS10&period;1注册地理数据库报machine&colon;机器名&lbrack;Oracle&colon;&lpar;null&rpar;&rsqb;错误的修改</a>
					<div>
						环境介绍:本机安装了ArcGIS Server10.2,ArcGIS Desktop10.2,64位Oracle11g以及Oracle32位客户端.直连和服务连接都能成功. 问题:我要进行服务发布的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YqjGy0.html" rel="bookmark" class="title">页面后退按钮</a>
					<div>
						网页自动回退一页的javascript代码怎么写吗? 使用JavaScript的history就可以实现后退一页,甚至几页的效果.例如下面的代码: &lt;button onclick=&quot;h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38oLXZ0.html" rel="bookmark" class="title">分布式文件系统FastDFS原理介绍</a>
					<div>
						在生产中我们一般希望文件系统能帮我们解决以下问题,如:1.超大数据存储:2.数据高可用(冗余备份):3.读/写高性能:4.海量数据计算.最好还得支持多平台多语言,支持高并发. 由于单台服务器无法满足以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38ooDy0.html" rel="bookmark" class="title">页面中添加qq客服</a>
					<div>
						html页面 &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZnJG3.html" rel="bookmark" class="title">zookeeper服务器端管理工具</a>
					<div>
						zookeeper基本是基于API和console进行znode的操作,并没有一个比较方便的操作界面,这里也发现了taobao 伯岩写的一个工具,可以比较方便的查询zookeeper信息. 工具的开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e6lYJ3.html" rel="bookmark" class="title">分页类分析 练习</a>
					<div>
						&lt;?php /* file: FYL.class.php 完美分页类 FYL */ class FYL { private $total; //数据表中总记录数 private $listRow ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ago9v4.html" rel="bookmark" class="title">博文目录 2015&period;11&period;23</a>
					<div>
						第24篇 js小知识和“坑” (2015-11-21 18:15) 第23篇 js快速学习知识 (2015-11-19 23:10) 第22篇 js中的this指针的用法 (2015-11-17 23 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OQq2KM.html" rel="bookmark" class="title">【转载】Pyqt 添加右键菜单方法</a>
					<div>
						转载地址: http://www.cnblogs.com/yogalau/p/3954042.html?utm_source=tuicool QListWidget 是继承 QWidget 的, 所以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWQ1zk3.html" rel="bookmark" class="title">代理服务器Squid3的配置</a>
					<div>
						1.安装squid3 sudo apt-get install squid3 2,配置squid3 sudo cd /etc/squid3 sudo vim squid.conf /http_acce ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
